function interactive_move_p2p(T,z,zt,zp,C,Cp,N)

figure('WindowButtonDownFcn',@wbdcb,'Interruptible','off','BusyAction','cancel')
subplot(1,2,1);
title('Orig');
patch('Faces',T,'Vertices',[real(zt),imag(zt)],'FaceColor','w'); axis equal; hold on; 
draw_point_2d([real(zp),imag(zp)],'MarkerSize',30);
aa = axis; aa = aa + 0.5*[-1,1,-1,1]; axis(aa);

subplot(1,2,2);
title('Point to point Cauchy');
hp1 = patch('Faces',T,'Vertices',[real(zt),imag(zt)],'FaceColor','w'); axis equal; hold on; 
hf1 = plot(zp,'.','MarkerSize',30);
aa = axis; aa = aa + 0.5*[-1,1,-1,1]; axis(aa);
set(gca,'DrawMode','fast');

x = [real(zp),imag(zp)];
n = length(zp);
m = length(zt);
f = zp;
l1 = 0;
    function update_location(f)          
        u = N*[5000*f];
        zp_n = Cp*u;
        x = [real(zp_n), imag(zp_n)];
        zt_n = C*u;

        set(hp1,'Vertices',[real(zt_n),imag(zt_n)]);drawnow
        set(hf1,'XData',real(zp_n),'YData',imag(zp_n));drawnow
    end

    function wbdcb(src,evnt)
        if strcmp(get(src,'SelectionType'),'normal')
            set(src,'pointer','circle')
            cp = get(gca,'CurrentPoint');
            dd = normv(x - repmat(cp(1,1:2),n,1));
            [m,l1] = min(dd);
            f(l1) = cp(1,1) + 1i*cp(1,2);
            update_location(f);
   
            set(src,'WindowButtonMotionFcn',@wbmcb)
            set(src,'WindowButtonUpFcn',@wbucb)
        end

        function wbmcb(src,evnt)
            cp = get(gca,'CurrentPoint');
            f(l1) = cp(1,1) + 1i*cp(1,2);
            update_location(f);
        end

        function wbucb(src,evnt)
            set(src,'Pointer','arrow')
            set(src,'WindowButtonMotionFcn','')
            set(src,'WindowButtonUpFcn','')
        end
        
        function nn = normv(V)
            nn = sqrt(sum(V.^2,2));
        end
    end
end


